<?php
/**
 * Body Classes.
 * @package Multi Sports Club
 */

if (!function_exists('multi_sports_club_body_classes')) :

    function multi_sports_club_body_classes($multi_sports_club_classes)
    {
        $multi_sports_club_defaults = multi_sports_club_get_default_theme_options();
        $multi_sports_club_layout = multi_sports_club_get_final_sidebar_layout();

        // Adds a class of hfeed to non-singular pages.
        if (!is_singular()) {
            $multi_sports_club_classes[] = 'hfeed';
        }

        // Sidebar layout logic
        $multi_sports_club_classes[] = $multi_sports_club_layout;

        // Copyright alignment
        $copyright_alignment = get_theme_mod('multi_sports_club_copyright_alignment', 'Default');
        $multi_sports_club_classes[] = 'copyright-' . strtolower($copyright_alignment);

        return $multi_sports_club_classes;
    }

endif;

add_filter('body_class', 'multi_sports_club_body_classes');